{% extends "../layout/layout.njk" %}

{% block content %}
    <section class="section">

        <div class="columns">
            <div class="column is-offset-2 is-8">
                <h1 class="title">Login</h1>
                <h2 class="subtitle">Select a provider and enter any required information</h2>
            </div>
        </div>

        <div class="columns">

            <div class="column is-2 is-offset-2">
                <div class="buttons">
                    <button class="button {{ 'is-info' if provider === 'local' else '' }} is-fullwidth">Local Account</button>
                    <button class="button {{ 'is-info' if provider === 'openid' else '' }} is-fullwidth">OpenID</button>
                    <button class="button {{ 'is-info' if provider === 'keycloak' else '' }} is-fullwidth">Keycloak</button>
                    <button class="button {{ 'is-info' if provider === 'keycloak' else '' }} is-fullwidth">&lt;company...&gt;</button>
                </div>
            </div>

            <div class="column is-6">

                <div class="card">
                    <div class="card-content">
                        <form method="POST" action="{{ url('login/' + provider) }}">

                            {# CSRF validation #}
                            {{ csrf() | safe }}

                            {% block form %}
                            {% endblock %}

                            <hr>

                            {# Actions #}
                            <div class="field is-grouped is-justify-content-end">
                                <div class="control">
                                    <button class="button is-info">Submit</button>
                                </div>
                                <div class="control">
                                    <a href="{{ url('/') }}" class="button is-info is-light">Cancel</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

            </div>
        </div> {# end .columns #}

        <div class="columns">
            <div class="column is-offset-2 is-8">
                <hr>
                <p class="has-text-centered">
                    Can't see the desired login provider? Ask your <a href="mailto:{{ env.APP_ADMINISTRATOR }}">administrator</a> for assistance.
                </p>
            </div>
        </div>

    </section>
{% endblock %}
